namespace CMSMicroservice.Application.ProductTagCQ.Commands.DeleteProductTag;
public class DeleteProductTagCommandValidator : AbstractValidator<DeleteProductTagCommand>
{
    public DeleteProductTagCommandValidator()
    {
        RuleFor(model => model.Id)
            .NotNull();
    }
    public Func<object, string, Task<IEnumerable<string>>> ValidateValue => async (model, propertyName) =>
    {
        var result = await ValidateAsync(ValidationContext<DeleteProductTagCommand>.CreateWithOptions((DeleteProductTagCommand)model, x => x.IncludeProperties(propertyName)));
        if (result.IsValid)
            return Array.Empty<string>();
        return result.Errors.Select(e => e.ErrorMessage);
    };
}
